Subject: [babel] Opsdir early review of draft-ietf-babel-rfc6126bis-04

From: Mehmet Ersue <[email-masked]>
Date: Fri, 20 Apr 2018 06:27:45 -0700

Reviewer: Mehmet Ersue
Review result: Has Nits

I have reviewed this document as part of the Operational directorate's
ongoing effort to review all IETF documents being processed by the IESG.  These
comments were written with the intent of improving the operational aspects of
the IETF drafts. Comments that are not addressed in last call may be included
in AD reviews during the IESG review.  Document editors and WG chairs should
treat these comments just like any other last call comments.

Intended status: Standards Track
Current IESG state: ID exists
Obsoletes: 6126,7557

Summary:
The document defines the Babel Routing Protocol originally defined in
experimental RFCs 6116 and 7557.

The abstract in this draft is a copy from the abstract of RFC 6116 and is a
generic statement on "Babel". IMO the abstract should state explicitly that
this draft defines the "Babel Routing Protocol" and replaces/obsoletes the RFCs
6116 and 7557.

There are following additional nits in the document:
== There are 1 instance of lines with multicast IPv4 addresses in the document.
 If these are generic example addresses, they should be changed to use the
233.252.0.x range defined in RFC 5771 == The document seems to use 'NOT
RECOMMENDED' as an RFC 2119 keyword, but does not include the phrase in its RFC
2119 key words list. ** Obsolete normative reference: RFC 5226 (Obsoleted by
RFC 8126)

IANA Considerations have to be reviewwed from IANA.
Security Considerations should refer to the discussion in RFC 6126.

The document does not cause any issues related to operations and management.

Regards,
Mehmet

---

From: Juliusz Chroboczek <[email-masked]>
Date: Fri, 20 Apr 2018 19:35:02 +0200

Dear Mehmet,

> Review result: Has Nits

Thanks for your review.  It will take me a few days to find the time to
produce a new revision.

> 233.252.0.x range defined in RFC 5771

If you are referring to Section 5, then this is the address assigned by
IANA to the protocol.  If you are referring to something else, I'd appreciate
a clarification.

Thanks,

-- Juliusz Chroboczek

---

From: "Mehmet Ersue" <[email-masked]>
Date: Fri, 20 Apr 2018 20:32:15 +0100

Hi Juliusz,

I just reflected what the nit checker lists.
As I understand this is no issue.

Cheers,
Mehmet

> -----Original Message-----
> From: Juliusz Chroboczek <[email-masked]>
> Sent: Friday, April 20, 2018 6:35 PM
> To: Mehmet Ersue <[email-masked]>
> Cc: [email-masked]; [email-masked];
[email-masked]
> Subject: Re: Opsdir early review of draft-ietf-babel-rfc6126bis-04
> 
> Dear Mehmet,
> 
> > Reviewer: Mehmet Ersue
> > Review result: Has Nits
> 
> >  If these are generic example addresses, they should be changed to use
> > the 233.252.0.x range defined in RFC 5771
> 
IANA to
> the protocol.  If you are referring to something else, I'd appreciate a
> clarification.
> 
> Thanks,
> 
> -- Juliusz Chroboczek